Subject: Re: linux-next: build failure after merge of the mfd tree

From: Srinivas Kandagatla <[email-masked]>
Date: Tue, 4 Feb 2020 10:04:40 +0000

On 04/02/2020 07:53, Lee Jones wrote:
> On Tue, 04 Feb 2020, Stephen Rothwell wrote:
> 
>> Hi all,
>>
>> After merging the mfd tree, today's linux-next build (powerpc
>> allyesconfig) failed like this:
>>
>> ld: sound/soc/codecs/wcd934x.o:(.toc+0x0): undefined reference to `of_clk_src_simple_get'
>> ld: sound/soc/codecs/wcd934x.o: in function `.wcd934x_codec_probe':
>> wcd934x.c:(.text.wcd934x_codec_probe+0x3d4): undefined reference to `.__clk_get_name'
>> ld: wcd934x.c:(.text.wcd934x_codec_probe+0x438): undefined reference to `.clk_hw_register'
>> ld: wcd934x.c:(.text.wcd934x_codec_probe+0x474): undefined reference to `.of_clk_add_provider'
> 
> What's the cause of this?  I thought PowerPC made use of the CCF?

Looks like the allyesconfig is not selecting COMMON_CLK for some reason,
and  SND_SOC_WCD934X is missing "depends on COMMON_CLK" in Kconfig

I will send a fix for that!

--srini

> 
>> Caused by commit
>>
>>    6ac7e4d7ad70 ("mfd: wcd934x: Add support to wcd9340/wcd9341 codec")
> 
> Looks to me like the Codec is broken, rather than the MFD driver.
> 
>> Unfortunately that commit is now in Linus' tree (and was never in
>> linux-next).
>>
>> I marked CONFIG_MFD_STMFX as BROKEN for now.
> 
> Surely that should be SND_SOC_WCD934X?
> 
> Srini,
> 
>    What do you plan to do about this?
>